> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetAccountsDetail

> To retrieve full account details, including transactions, the holder's name, address, email and phone number, use the /GetAccountsDetail endpoint.

To retrieve full account details, including transactions, the holder's name, address, email and phone number, use the **/GetAccountsDetail** endpoint.

You must first call the **/Authorize** endpoint to get a valid `RequestId`.

## Accounts Detail

The `/GetAccountsDetail` endpoint returns the following information about each of the accounts that are linked to the session:

| **PERSONAL INFORMATION** | **ACCOUNT INFORMATION**   | **TRANSACTION HISTORY** |
| ------------------------ | ------------------------- | ----------------------- |
| Name                     | Title                     | Transaction date        |
| Address                  | Transit or Routing Number | Transaction description |
| Civic address            | Institution number        | Credit or debit amount  |
| City                     | Account number            | Current balance         |
| Province                 | Balance                   |                         |
| Postal code              | Category                  |                         |
| PO Box                   | Category type             |                         |
| Country                  | Currency                  |                         |
| E-mail                   | Account type              |                         |
| Phone number             |                           |                         |

#### Handling a 202 response

`/GetAccountsDetail` typically returns a `202` on the initial call. This means the data is still processing.

When you receive a `202`, poll [`/GetAccountsDetailAsync`](../account-linking/get-accounts-detail-async) with the same `RequestId` every 10 seconds until you receive a `200`. Set a maximum timeout of 30 minutes.

`/GetAccountsDetailAsync` is a `GET` endpoint that acts as the polling companion to `/GetAccountsDetail`. The `200` response from `/GetAccountsDetailAsync` contains the same payload as a `200` from `/GetAccountsDetail`.

For the full data retrieval flow, including prerequisites, see [Retrieve Account Data](../../../../guides/connect/retrieve-account-data).

<Warning>
  Your server must handle `202` responses. Do not treat a `202` as an error.
</Warning>

<Note>
  As an alternative to polling, you can configure [webhooks](../../webhooks) to receive the data automatically when processing completes.
</Note>


## OpenAPI

````yaml POST /v3/{customerId}/BankingServices/GetAccountsDetail
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GetAccountsDetail:
    post:
      tags:
        - Connect
      summary: Get Accounts Detail
      description: >-
        To retrieve full account details, including transactions, the holder's
        name, address, email and phone number, use the /GetAccountsDetail
        endpoint.
      operationId: getAccountsDetail
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - RequestId
              properties:
                RequestId:
                  type: string
                  default: 3fa391bc-bc52-4424-82c5-8662600df9b2
                  description: >-
                    Unique identifier provided after a successful request to the
                    /Authorize endpoint.
                WithAccountIdentity:
                  type: boolean
                  default: true
                  description: >-
                    Specifies if you want to include the transit number,
                    institution number and account number.
                WithKYC:
                  type: boolean
                  default: true
                  description: >-
                    Specifies if you want to include customer information in the
                    account details.
                WithTransactions:
                  type: boolean
                  default: true
                  description: >-
                    Specifies if you want to include transactions in the account
                    details.
                AccountsFilter:
                  type: array
                  items:
                    type: string
                  description: Accounts that you are linking to this session.
                DaysOfTransactions:
                  type: string
                  default: Days90
                  enum:
                    - Days90
                    - Days365
                  description: Number of days that you want to see transaction data for.
                WithDetailsAndBankingStatements:
                  type: boolean
                  default: false
                  description: Specifies if you want to enable PDF statements.
                NumberOfBankingStatements:
                  type: string
                  default: MostRecent
                  description: Number of PDF banking statements that are returned.
              example:
                RequestId: 3fa391bc-bc52-4424-82c5-8662600df9b2
                WithAccountIdentity: true
                WithKYC: true
                WithTransactions: true
                DaysOfTransactions: Days90
                WithDetailsAndBankingStatements: false
                NumberOfBankingStatements: MostRecent
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        Id:
                          type: string
                          description: Unique identifier for the account.
                        Title:
                          type: string
                          description: Display name of the account.
                        AccountNumber:
                          type: string
                          description: Full account number.
                        LastFourDigits:
                          type: string
                          description: Last four digits of the account number.
                        TransitNumber:
                          type: string
                          description: Transit or routing number for the account.
                        InstitutionNumber:
                          type: string
                          description: Institution number for the bank.
                        Balance:
                          type: object
                          description: Account balance information.
                          properties:
                            Available:
                              type: number
                            Current:
                              type: number
                            Limit:
                              type: string
                        Category:
                          type: string
                          description: Category of the account.
                        Type:
                          type: string
                          description: Type of account.
                        Currency:
                          type: string
                        Holder:
                          type: object
                          description: Information about the account holder.
                          properties:
                            Name:
                              type: string
                            Address:
                              type: object
                              properties:
                                CivicAddress:
                                  type: string
                                City:
                                  type: string
                                Province:
                                  type: string
                                PostalCode:
                                  type: string
                                POBox:
                                  type: string
                                Country:
                                  type: string
                            Email:
                              type: string
                            PhoneNumber:
                              type: string
                        Transactions:
                          type: array
                          description: Array of transaction records for the account.
                          items:
                            type: object
                            properties:
                              Id:
                                type: string
                              Date:
                                type: string
                              Description:
                                type: string
                              Debit:
                                type: number
                              Credit:
                                type: number
                              Balance:
                                type: number
                        AccountType:
                          type: string
                          nullable: true
                          enum:
                            - Personal
                            - Business
                          description: Type of account.
                  InstitutionName:
                    type: string
                  Login:
                    type: object
                    description: Information about the login session.
                  InstitutionId:
                    type: integer
                  Institution:
                    type: string
                  RequestId:
                    type: string
              example:
                HttpStatusCode: 200
                Accounts:
                  - Transactions:
                      - Date: '2025-01-31'
                        Code: null
                        Description: PAYROLL - Stripe Paycheck
                        Debit: 1000.4
                        Credit: 1500.25
                        Balance: 5105.6
                        Id: 94584aed-7c98-42a4-9836-9f8557db63f5
                    TransitNumber: '12347'
                    InstitutionNumber: '777'
                    OverdraftLimit: 100.5
                    Title: Chequing Account
                    AccountNumber: '7641238'
                    LastFourDigits: null
                    Balance:
                      Available: 5405.5
                      Current: 5105.5
                      Limit: 5105.5
                    Category: Operations
                    Type: Chequing
                    Currency: CAD
                    Holder:
                      Name: Testing
                      Address:
                        CivicAddress: 25 york street
                        City: TOR
                        Province: 'ON'
                        PostalCode: M5J 2V5
                        POBox: null
                        Country: CA
                      Email: test_user1@nomail.com
                      PhoneNumber: '9051234567'
                    AccountType: null
                    Id: 27a9ffa0-c6b9-4cc6-9eaa-aa9efa07a889
                InstitutionName: FlinksCapital
                Login:
                  Username: chat_gpt
                  IsScheduledRefresh: false
                  LastRefresh: '2025-01-31T17:40:54.569261'
                  Type: Personal
                  Id: 5602459c-f6d0-4ca0-6750-08dccdcadcc0
                InstitutionId: 14
                Institution: FlinksCapital
                RequestId: 22178382-31ee-485c-a750-c20929b6a344
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  Links:
                    type: array
                    items:
                      type: object
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string
              example:
                FlinksCode: OPERATION_PENDING
                Links:
                  - rel: '{Endpoint}Async'
                    href: /{Endpoint}Async
                    example: /{Endpoint}Async/{requestId}
                HttpStatusCode: 202
                Message: Your operation is still processing
                RequestId: 077785a3-fd0f-42f7-9251-ee2ff7f3b4ff

````